### Method

# Gtk DragSourceset_icon

#### Declaration [src]

    void
    gtk_drag_source_set_icon (
      GtkDragSource* source,
      GdkPaintable* paintable,
      int hot_x,
      int hot_y
    )

#### Description [src]

Sets a paintable to use as icon during DND operations.

The hotspot coordinates determine the point on the icon that gets aligned with the hotspot of the cursor.

If `paintable` is `NULL`, a default icon is used.

This function can be called before a drag is started, or in a `GtkDragSource::prepare` or `GtkDragSource::drag-begin` signal handler.

#### Parameters

`paintable`

  Type: `GdkPaintable`

  The `GdkPaintable` to use as icon.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`hot_x`

  Type: `int`

  The hotspot X coordinate on the icon.

`hot_y`

  Type: `int`

  The hotspot Y coordinate on the icon.